Page MenuHomePhabricator

Create custom checkbox component
Closed, ResolvedPublic

Description

  • mark-up
    • label is part of the component (can be passed in through a label [e.g.] prop)
    • value can be passed as a prop (so that it could be used in a form submitted through traditional means)
  • default value is configurable
  • style
  • storybook
  • verify RTL
  • search for a solution where we later (in a future task inside the same story) are able to add a v-model and it will "just work", don't need a custom event or comparable (similar to TermTextField )

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2019, 11:15 AM
Pablo-WMDE updated the task description. (Show Details)May 21 2019, 11:21 AM
Pablo-WMDE updated the task description. (Show Details)May 21 2019, 11:23 AM

Change 512105 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[wikibase/termbox@master] Introduce CustomCheckbox

https://gerrit.wikimedia.org/r/512105

Pablo-WMDE updated the task description. (Show Details)May 23 2019, 8:12 AM

Change 512105 merged by jenkins-bot:
[wikibase/termbox@master] Introduce CustomCheckbox

https://gerrit.wikimedia.org/r/512105

Jakob_WMDE closed this task as Resolved.Jun 5 2019, 11:02 AM